{ pkgs ? import <nixpkgs> {} }:

let
  haskellPackages = pkgs.haskellPackages;
  site = pkgs.callPackage ./default.nix {};
  shell = pkgs.buildEnv {
    name = "site-shell";
    paths = [];
    buildInputs = with haskellPackages; [
      ghcid
      hasktags
      cabal-install
      (ghcWithHoogle (h: site.buildInputs ++ site.propagatedBuildInputs))
    ];
  };

in

{
  site = site;
  shell = shell;
}
